ZIP_SOURCE_FREE(3)

NAME
zip_source_free - free zip data source

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

void zip_source_free(struct zip_source *source);

DESCRIPTION
The function zip_source_free frees the zip data source source. If source is NULL, it does nothing.

NOTE : This function should not be called on a source after it was used successfully in a zip_add(3) or zip_replace(3) call.

SEE ALSO
libzip(3), zip_source_buffer(3), zip_source_file(3), zip_source_filep(3), zip_source_function(3), zip_source_zip(3)

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>